Subject: bug#43558: [PATCH]: Fix (forward-comment 1) when end delimiter is escaped.

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Nov 2020 18:00:40 -0500

> It provides a mechanism which might be useful to other major modes in
> the future.

FWIW, I doubt it.
In my experience these details never quite match.

>> With user experience (speed, latencies, etc) being equal or within the 
>> margin of error, I think it's more logical to go with simpler data 
>> structures and low level APIs.
> Fixing things in syntax.c was simpler than a Lisp solution using
> syntax-table text properties would have been.

I find it hard to take this statement seriously after having seen my
sm-c-mode patch.

>> Finally, as I recall you feel strongly about supporting older Emacs
>> versions, a significant number of them. Doing that fix in Lisp would
>> allow you to fix the bug for those versions too. Not just Emacs 28+.
> Yes.  That appears to be the sole drawback of the fix being in syntax.c.

I don't really find this to be a drawback since I don't care about
CC-mode's support for multiline `//` comments in older Emacsen.

But the added complexity in the C code and in the API documentation for the
sole benefit of C (and C++?) mode is a drawback, yes.

I do want to clarify my position, tho: while I don't like your patch
very much because I think a Lisp-level solution (like the one I used in
sm-c-mode) is preferable I find your patch acceptable.

        Stefan